Add Enrollment for User and Create Account/Card (Encrypted)

Creates a new enrollment for a user, including account and card creation. Supports instant issue scenarios and account upgrades (for example, from GPG to DDA if the "upgradeFlag" parameter is true). This endpoint is also used for the card-in-hand use case to support instant issue enrollment.

Key operations performed:

  • Create new user
  • Create account
  • Create payment instrument
  • Support instant issue enrollment
  • Support account upgrade

Note: If POST /enrollments is called with a valid request and enrollment fails during processing, the request will be automatically completed if the customer clears OFAC.

NameComment
200Success
400Bad request, such as unsupported operation
401Unauthorized
GroupPropertyRequiredConstraint/ScenarioHttpStatusCodeSub CodeDescription
PACKAGE_LOOKUP_EXCEPTION40050205021Connection issue looking up package info
PACKAGE_NOT_FOUND40050205022No package is associated with the provided identifier
PACKAGEID_IN_USE40050205023The package associated with the identifier is already being used
INSTANT_ISSUE_NOT_SUPPORTED40050305031Product does not support instant issue enrollment
INSTANT_ISSUE_REQUEST_PHYSICAL_CARD_NOT_SUPPORTED40050305032Product does not support requesting a physical card during instant issue enrollment
instantIssuetypeY ONLY if enrollment is instantIssueINSTANT_ISSUE_TYPE400600Required: 6181, Invalid: 6182If instantIssue object is provided, then type must be provided. Must be CBS
instantIssuemappingIdentifierY ONLY if enrollment is instantIssueINSTANT_ISSUE_MAPPING_IDENTIFIER400600Required: 6183, Invalid: 6184If instantIssue object is provided, then mappingIdentifier must be provided
accountIdentifierNmissing/invalid accountIdentifier4003500accountIdentifier is invalid
change user profile40045020User profile cannot be changed
account status not normal40045030Account status is not healthy
target product code same as current product code40045040Account already upgraded successfully
same requestId, accountIdentifier is different40045050Account not matched
target product code not allowed for upgrade40045060Account already upgraded successfully
account not found400100Account, account holder, or user not found
[CPM] upgrade service returned error40050300A downstream provider did not return success for Upgrade Account
Path Params
string
required

The program code for the enrollment flow.

Body Params

The encrypted enrollment request payload. See Gd.Bos.DataTransfer.Request.EnrollmentRequestEncrypted for details.

user
object

Container for encrypted user information, including the encrypted user data payload and a list of terms and conditions acceptances. Used for secure transmission and processing of sensitive user data.

encryptedFraudData
object

Represents a container for encrypted data used in secure data transfer operations. Contains the encrypted payload and associated cryptographic metadata, including encryption version, ephemeral public key, and public key hash. Used to securely transmit sensitive information such as user data, ensuring confidentiality and integrity during transport.

contactVerificationIdentifiers
array of strings | null

A list of identifiers (such as email or phone) used to verify the contact information for the enrollment.

contactVerificationIdentifiers
account
object

Represents a Green Dot account, including identifiers, product and status information, account holders, purses, eligibility, and related metadata. This class is used to provide a comprehensive view of an account's state, configuration, and associated entities for account management, transfer, and reporting operations.

boolean

Indicates whether a physical card should be requested during enrollment.

boolean

Indicates whether KYC (Know Your Customer) checks should be executed as part of the enrollment.

boolean

Indicates whether the account should be upgraded (e.g., to a higher product tier) during enrollment.

instantIssue
object

Represents instant card issuance details for an account, including the mapping identifier and type. Used to specify instant issue configuration during account enrollment or card issuance.

Headers
string
required

The unique request identifier for tracking and logging.

string

The source system or channel identifier).

string

Flag to ignore multi-factor authentication; 'true' or 'false'.

string

The unique identifier for the enrollment request.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json